Project

General

Profile

Demande #3910

Demande #3801: Migrer le parc des machines et VM vers Debian Buster

Migrer vers Debian Buster la vm pad

Added by Christian P. Momon over 4 years ago. Updated over 4 years ago.

Status:
Fermé
Priority:
Normale
Assignee:
Christian P. Momon
Category:
-
Target version:
-
Start date:
10/08/2019
Due date:
% Done:

100%

Estimated time:

Description

Ticket de suivi de la migration du Chapril vers Debian Buster (#3801).


Related issues

Copied to Infra Chapril - Demande #5495: Migrer vers Debian Bullseye la vm padFermé

Actions

History

#1

Updated by Christian P. Momon over 4 years ago

  • Status changed from Nouveau to Confirmé
#2

Updated by Christian P. Momon over 4 years ago

  • Status changed from Confirmé to En cours de traitement
  • Assignee set to Christian P. Momon
#3

Updated by Christian P. Momon over 4 years ago

  • % Done changed from 0 to 90

Migration de la vm pad :

  • # Préliminaires.
  • pose d'un point d'arrêt via VirtManager
  • apt-get update ; apt-get upgrade ; apt-get dist-upgrade
  • apt-get autoremove
  • # Basculement des dépôts.
  • sed -i 's/stretch/buster/g' /etc/apt/sources.list
  • sed -i 's/stretch/buster/g' /etc/apt/sources.list.d/chapril.list
  • sed -i 's/stretch/buster/g' /etc/apt/sources.list.d/nodejs.list
  • apt-get update
  • # Mise à jour étape 1.
  • apt-get upgrade :
    • message d'avertissement concerntant Postgresql (donc prévoir action manuelle après la mise à jour) :
      Version majeure 9.6 obsolète
      La version 9.6 de PostgreSQL est obsolète, mais le paquet du client ou du serveur est toujours installé.
      Veuillez installer la version la plus récente des paquets postgresql-11 et postgresql-client-11 et mettre
      à niveau les grappes (« clusters ») en version  avec « pg_upgradecluster ». Veuillez consulter la page
      de manuel pour plus de précisions.
      Veuillez noter que l'installation de postgresql-11 créera par défaut une grappe (« cluster ») 11/main. Si
      vous souhaitez mettre à niveau la grappe 9.6/main, il faudra supprimer la grappe 11 en exécutant la
      commande « pg_dropcluster--stop 11 main ». Veuillez consulter la page de manuel pour plus de précisions.
      Les anciennes versions des paquets client et serveur ne sont plus maintenues. Après la mise à niveau des
      grappes (« clusters »), les paquets postgresql-9.6 et postgresql-client-9.6 devraient être supprimés.
      Veuillez consulter /usr/share/doc/postgresql-common/README.Debian.gz pour plus de détails.
      
    • là, ça coince sur firehol, tant pis on passe à la suite,
  • # Mise à jour étape 2.
  • apt-get dist-upgrade :
    • j'ai refusé la modification des fichiers suivants :
      /etc/icinga2/features-available/api.conf
      /etc/icinga2/icinga2.conf
      /etc/icinga2/zones.conf
      /etc/vim/vimrc
      /etc/ssh/sshd_config
  • reboot : tout semble ok
  • Icinga2 :
    • modification de la conf :
      • admin:/etc/icinga2/zones.d/master/cluster/libreoffice.conf
      • vars.os_version = "Buster"

Reste à mettre à jour la base Postgresql.

#4

Updated by Christian P. Momon over 4 years ago

  • Status changed from En cours de traitement to Résolu
  • % Done changed from 90 to 100
#5

Updated by Quentin Gibeaux over 4 years ago

#6

Updated by Christian P. Momon over 4 years ago

  • Project changed from Chapril to Infra Chapril
  • Status changed from Résolu to Fermé
#7

Updated by Christian P. Momon over 2 years ago

  • Copied to Demande #5495: Migrer vers Debian Bullseye la vm pad added

Also available in: Atom PDF